package com.io.yutian.elementoriginlib;

import com.io.yutian.elementoriginlib.lang.Lang;
import com.io.yutian.elementoriginlib.listener.GuiHandlerListener;
import com.io.yutian.elementoriginlib.listener.PlayerChatInputListener;
import org.bukkit.plugin.java.JavaPlugin;

public final class ElementOriginLib extends JavaPlugin {

    private static ElementOriginLib instance;

    @Override
    public void onEnable() {
        instance = this;

        Lang.registerLangFile(this);
        Lang.reload();

        new GuiHandlerListener(this);
        new PlayerChatInputListener(this);
    }

    @Override
    public void onDisable() {
    }

    public static ElementOriginLib inst() {
        return instance;
    }

}
